Subject: Re: [PATCH] e1000: Don't enable polling in open() (was: e1000: assertion hit in e1000_clean(), kernel 2.6.21.1)

From: "Kok, Auke" <[email-masked]>
Date: Tue, 22 May 2007 10:02:53 -0700

Chuck Ebbert wrote:
> Herbert Xu wrote:
>> On Mon, May 21, 2007 at 07:42:39PM -0400, Jeff Garzik wrote:
>>> applied, though as a poster (DaveJ?) noted, I'm not sure it completely 
>>> fixes the bug
>> It should fix the problem completely in 2.6.22.  For 2.6.21, we need
>> a different fix because e1000_open is directly calling e1000_up.
>>
> 
> Is there going to be a 2.6.21-stable fix for this?
> 
> Fedora is going to backport a big patchset but that won't work
> for -stable.

I've posted that before and it's up to the stable team. I think that it's a 
seriously toolarge change unless Herbert posts his short version of the fix for 
2.6.21.1. I would be OK with that.

BTW this bug is present in most recent kernels, certainly before 2.6.20...

Auke

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/